libzypp 17.37.10

ztui::Out::TitleNode Class Reference

XmlNode with optional normal text headline (NL appended) More...

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::Out::TitleNode:

## Public Member Functions
| TitleNode (XmlNode &&node_r, const std::string &title_r="")
Public Member Functions inherited from ztui::Out::XmlNode
| XmlNode (Out &out_r, const std::string &name_r, const std::initializer_list< Attr > &attrs_r={})
| Ctor taking nodename and attribute list.
| XmlNode (Out &out_r, const std::string &name_r, Attr attr_r)
| Convenience ctor for one attribute pair.
| XmlNode (XmlNode &&rhs) noexcept
| Move ctor.

## Additional Inherited Members
Public Types inherited from ztui::Out::XmlNode
using | Attr = zypp::xmlout::Node::Attr
Protected Member Functions inherited from ztui::Out::ParentOut
| ParentOut (Out &out_r)
Out & | out ()

## Detailed Description

XmlNode with optional normal text headline (NL appended)

Definition at line 518 of file Out.h.

## Constructor & Destructor Documentation

## ◆ TitleNode()

ztui::Out::TitleNode::TitleNode | ( | XmlNode && | node_r,
|  | const std::string & | title_r = "" )
| inline

Definition at line 520 of file Out.h.

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h